package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;

import java.time.LocalTime;

/**
 * 用户护理日志对象 wx_nursing_log
 *
 * @author flossom
 * @date 2024-01-29
 */
public class WxNursingLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 设备id
     */
    @Excel(name = "设备id")
    private Long instrumentId;

    /**
     * 设备名称
     */
    private String instrumentName;

    /**
     * 仪器：1、普通仪器 2、iot仪器
     */
    private Integer instrumentType;

    /**
     * 是否在线，1在线，2离线
     */
    @Excel(name = "是否在线，1在线，2离线")
    private Long online;

    /**
     * 模式ID
     */
    @Excel(name = "模式ID")
    private Long modeId;

    /**
     * 模式名称
     */
    @Excel(name = "模式名称")
    private String modeName;

    /**
     * 护理总时长
     */
    @Excel(name = "护理总时长")
    private LocalTime nursingTime;

    /**
     * 完成度
     */
    private Double completionPercentage;

    /**
     * 模式图片
     */
    private String modeImage;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setOnline(Long online) {
        this.online = online;
    }

    public Long getOnline() {
        return online;
    }

    public void setModeId(Long modeId) {
        this.modeId = modeId;
    }

    public Long getModeId() {
        return modeId;
    }

    public void setModeName(String modeName) {
        this.modeName = modeName;
    }

    public String getModeName() {
        return modeName;
    }

    public void setNursingTime(LocalTime nursingTime) {
        this.nursingTime = nursingTime;
    }

    public LocalTime getNursingTime() {
        return nursingTime;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }


    public Double getCompletionPercentage() {
        return completionPercentage;
    }

    public void setCompletionPercentage(Double completionPercentage) {
        this.completionPercentage = completionPercentage;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public String getModeImage() {
        return modeImage;
    }

    public void setModeImage(String modeImage) {
        this.modeImage = modeImage;
    }

    public Integer getInstrumentType() {
        return instrumentType;
    }

    public void setInstrumentType(Integer instrumentType) {
        this.instrumentType = instrumentType;
    }
}
